Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.compiler.object
Class IdlValue

    java.lang.Object
      |
      +--org.openorb.compiler.object.IdlObject
            |
            +--org.openorb.compiler.object.IdlValue

All Implemented Interfaces:
  idlObject, idlValue, java.io.Serializable

public class IdlValue
extends IdlObject
implements idlValue

This class represents an IDL Value object

Version:
  $Revision: 1.4 $ $Date: 2002/08/21 08:19:24 $
Author:
  Jerome Daniel
See Also:
  Serialized Form

Fields inherited from class org.openorb.compiler.object.IdlObject
`_case_sensitive, _comment, _current, _diese, _has_inheritance, _id, _import, _is_container, _list, _map, _name, _opaque, _prefix, _prefix_explicit, _type, _underscore, _upper, adaptName, idlPrefix`

Constructor Summary
`IdlValue(IdlObject father)` Creates an IDL Value object

Method Summary
`boolean` | `abstract_value()` Is abstract
`void` | `abstract_value(boolean value)` Set is abstract
`void` | `addInheritance(IdlValueInheritance value)` Add an inherited
`idlValue` | `concrete()` Return the concrete inherited value
`boolean` | `custom_value()` Return is forward
`void` | `custom_value(boolean value)` Set is custom
`IdlValue` | `definedValue()` Returns the definition of the value
`void` | `definedValue(IdlValue value)` Set the value definition
`idlValue` | `description()` Return the value description ( for forward value )
`boolean` | `forward()` Is forward
`void` | `forward(boolean value)` Set is forward
`IdlValue[]` | `getInheritance()` Return inherited as IdlValue objects
`java.util.Vector` | `getInheritanceList()` Return the inherited
`idlValue[]` | `inheritance()` Return the inheritance list
`boolean` | `isAbstract()` Return TRUE is this value is abstract
`boolean` | `isCustom()` Return TRUE is this value is custom
`boolean` | `isForward()` Return TRUE is this value is forward
`boolean` | `isTruncatable()` Return TRUE is this value contains a truncatable clause into its inheritance list
`IdlObject` | `returnInheritedObject(java.lang.String name)` This method returns an inherited object
`IdlObject` | `searchObject(java.lang.String name)` This method returns an contained object
`idlInterface[]` | `supported()` Return the supported interfaces
`java.util.Vector` | `supports()` Return the supported interfaces
`void` | `supports(java.util.Vector list_obj)` Set the supported interfaces
`java.lang.String[]` | `truncatableList()` Return the truncatables list

Methods inherited from class org.openorb.compiler.object.IdlObject
`adaptName, addIdlObject, applyPrefix, attach_comment, attach_comment, changePrefix, contains, containsObject, content, current, end, filter, final_kind, final_object, getComment, getId, getIdComponents, getPrefix, getPrefixDepth, hasComment, idlConcreteType, idlDefinedIn, idlFinalType, idlID, idlName, idlType, included, insertIdlObject, into, isDefined, isSame, isVisible, kind, length, myScope, name, name, nameToSequence, next, opaque, opaque, pos, pos, refreshIncluded, reset, returnObject, returnVisibleObject, root, sameAs, search, sensitive, setId, switchFinalObject, type, type, upper, use_diese, use_diese`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.openorb.compiler.idl.reflect.idlObject
`containsObject, content, filter, idlConcreteType, idlDefinedIn, idlFinalType, idlID, idlName, idlType, included`

Constructor Detail

### IdlValue

    public IdlValue(IdlObject father)

  Creates an IDL Value object

Method Detail

### abstract_value

    public void abstract_value(boolean value)

  Set is abstract

### abstract_value

    public boolean abstract_value()

  Is abstract

### custom_value

    public void custom_value(boolean value)

  Set is custom

### definedValue

    public IdlValue definedValue()

  Returns the definition of the value

### definedValue

    public void definedValue(IdlValue value)

  Set the value definition

### addInheritance

    public void addInheritance(IdlValueInheritance value)

  Add an inherited

### getInheritanceList

    public java.util.Vector getInheritanceList()

  Return the inherited

### getInheritance

    public IdlValue[] getInheritance()

  Return inherited as IdlValue objects

### custom_value

    public boolean custom_value()

  Return is forward

### forward

    public void forward(boolean value)

  Set is forward

### forward

    public boolean forward()

  Is forward

### supports

    public void supports(java.util.Vector list_obj)

  Set the supported interfaces

### supports

    public java.util.Vector supports()

  Return the supported interfaces

### truncatableList

    public java.lang.String[] truncatableList()

  Return the truncatables list

### returnInheritedObject

    public IdlObject returnInheritedObject(java.lang.String name)

  This method returns an inherited object
  Overrides:
    `returnInheritedObject` in class `IdlObject`

### searchObject

    public IdlObject searchObject(java.lang.String name)

  This method returns an contained object
  Overrides:
    `searchObject` in class `IdlObject`

### isAbstract

    public boolean isAbstract()

  Description copied from interface: `idlValue`
  Return TRUE is this value is abstract
  Specified by:
    `isAbstract` in interface `idlValue`

### isCustom

    public boolean isCustom()

  Description copied from interface: `idlValue`
  Return TRUE is this value is custom
  Specified by:
    `isCustom` in interface `idlValue`

### isForward

    public boolean isForward()

  Description copied from interface: `idlValue`
  Return TRUE is this value is forward
  Specified by:
    `isForward` in interface `idlValue`

### description

    public idlValue description()

  Description copied from interface: `idlValue`
  Return the value description ( for forward value )
  Specified by:
    `description` in interface `idlValue`

### isTruncatable

    public boolean isTruncatable()

  Description copied from interface: `idlValue`
  Return TRUE is this value contains a truncatable clause into its inheritance list
  Specified by:
    `isTruncatable` in interface `idlValue`

### concrete

    public idlValue concrete()

  Description copied from interface: `idlValue`
  Return the concrete inherited value
  Specified by:
    `concrete` in interface `idlValue`

### inheritance

    public idlValue[] inheritance()

  Description copied from interface: `idlValue`
  Return the inheritance list
  Specified by:
    `inheritance` in interface `idlValue`

### supported

    public idlInterface[] supported()

  Description copied from interface: `idlValue`
  Return the supported interfaces
  Specified by:
    `supported` in interface `idlValue`

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD